<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:21 CEST 2019 -->
<title>EncodingDefinition (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="EncodingDefinition (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6,"i7":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/firebirdsql/encodings/Encoding.html" title="interface in org.firebirdsql.encodings"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../org/firebirdsql/encodings/EncodingFactory.html" title="class in org.firebirdsql.encodings"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/encodings/EncodingDefinition.html" target="_top">Frames</a></li>
<li><a href="EncodingDefinition.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.firebirdsql.encodings</div>
<h2 title="Interface EncodingDefinition" class="title">Interface EncodingDefinition</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../org/firebirdsql/encodings/DefaultEncodingDefinition.html" title="class in org.firebirdsql.encodings">DefaultEncodingDefinition</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">EncodingDefinition</span></pre>
<div class="block">Definition of a Firebird encoding. This is a mapping from the Firebird encoding to a Java Charset and additional
 information needed by Jaybird to process this encoding.</div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>3.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd><a href="mailto:mrotteveel@users.sourceforge.net">Mark Rotteveel</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../org/firebirdsql/encodings/Encoding.html" title="interface in org.firebirdsql.encodings">Encoding</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/encodings/EncodingDefinition.html#getEncoding--">getEncoding</a></span>()</code>
<div class="block">Gets the <a href="../../../org/firebirdsql/encodings/Encoding.html" title="interface in org.firebirdsql.encodings"><code>Encoding</code></a> based on this definition.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/encodings/EncodingDefinition.html#getFirebirdCharacterSetId--">getFirebirdCharacterSetId</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/encodings/EncodingDefinition.html#getFirebirdEncodingName--">getFirebirdEncodingName</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/nio/charset/Charset.html?is-external=true" title="class or interface in java.nio.charset">Charset</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/encodings/EncodingDefinition.html#getJavaCharset--">getJavaCharset</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/encodings/EncodingDefinition.html#getJavaEncodingName--">getJavaEncodingName</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/encodings/EncodingDefinition.html#getMaxBytesPerChar--">getMaxBytesPerChar</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/encodings/EncodingDefinition.html#isFirebirdOnly--">isFirebirdOnly</a></span>()</code>
<div class="block">Can (or should) this encoding be used for reverse mapping from Java to Firebird.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/encodings/EncodingDefinition.html#isInformationOnly--">isInformationOnly</a></span>()</code>
<div class="block">Can this implementation create an <a href="../../../org/firebirdsql/encodings/Encoding.html" title="interface in org.firebirdsql.encodings"><code>Encoding</code></a> instance, or does it provide information only (eg about
 unsupported character sets)</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getMaxBytesPerChar--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMaxBytesPerChar</h4>
<pre>int&nbsp;getMaxBytesPerChar()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Maximum number of bytes per character.</dd>
</dl>
</li>
</ul>
<a name="getJavaEncodingName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getJavaEncodingName</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getJavaEncodingName()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Java name of the encoding</dd>
</dl>
</li>
</ul>
<a name="getJavaCharset--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getJavaCharset</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/nio/charset/Charset.html?is-external=true" title="class or interface in java.nio.charset">Charset</a>&nbsp;getJavaCharset()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Java <a href="https://docs.oracle.com/javase/8/docs/api/java/nio/charset/Charset.html?is-external=true" title="class or interface in java.nio.charset"><code>Charset</code></a> for this encoding</dd>
</dl>
</li>
</ul>
<a name="getFirebirdEncodingName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFirebirdEncodingName</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getFirebirdEncodingName()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Firebird name of the encoding</dd>
</dl>
</li>
</ul>
<a name="getFirebirdCharacterSetId--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFirebirdCharacterSetId</h4>
<pre>int&nbsp;getFirebirdCharacterSetId()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Firebird id of the encoding</dd>
</dl>
</li>
</ul>
<a name="isFirebirdOnly--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isFirebirdOnly</h4>
<pre>boolean&nbsp;isFirebirdOnly()</pre>
<div class="block">Can (or should) this encoding be used for reverse mapping from Java to Firebird.
 <p>
 The best example of this is the Firebird character set <code>UNICODE-FSS</code> which maps to the
 Java character set <code>UTF-8</code>, but when Java character set<code>UTF-8</code> is requested, Jaybird
 should (in general) map to Firebird character set <code>UTF8</code>.
 </p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>true</code> when this encoding maps from Java to Firebird, <code>false</code> otherwise</dd>
</dl>
</li>
</ul>
<a name="isInformationOnly--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isInformationOnly</h4>
<pre>boolean&nbsp;isInformationOnly()</pre>
<div class="block">Can this implementation create an <a href="../../../org/firebirdsql/encodings/Encoding.html" title="interface in org.firebirdsql.encodings"><code>Encoding</code></a> instance, or does it provide information only (eg about
 unsupported character sets)</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>true</code> if this EncodingDefinition only provides information, and is not capable of building a
         concrete implementation.</dd>
</dl>
</li>
</ul>
<a name="getEncoding--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getEncoding</h4>
<pre><a href="../../../org/firebirdsql/encodings/Encoding.html" title="interface in org.firebirdsql.encodings">Encoding</a>&nbsp;getEncoding()</pre>
<div class="block">Gets the <a href="../../../org/firebirdsql/encodings/Encoding.html" title="interface in org.firebirdsql.encodings"><code>Encoding</code></a> based on this definition.
 <p>
 Implementations can return the same instance on every call, or create a new one each time this method is called
 </p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Encoding object or <code>null</code> if this is an information only EncodingDefinition</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../org/firebirdsql/encodings/EncodingDefinition.html#isInformationOnly--"><code>isInformationOnly()</code></a></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/firebirdsql/encodings/Encoding.html" title="interface in org.firebirdsql.encodings"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../org/firebirdsql/encodings/EncodingFactory.html" title="class in org.firebirdsql.encodings"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/encodings/EncodingDefinition.html" target="_top">Frames</a></li>
<li><a href="EncodingDefinition.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
